$(document).ready(function () {
    // $("body").on("blur", '.qty', autoAddRows);


    function readIMG(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                $('#preview').attr('src', e.target.result);
            }
            reader.readAsDataURL(input.files[0]);
        }
    }



    $("#file1").change(function () {
        readIMG(this);
    });
   

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }

        $.post('itemmain_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody2');
            ctr++;
            $('#items').val(ctr);

        });
    }

    $('#addnew').click(function () {
        AddRows();
    });


});